<template>
  <div class="flex-parent">
    <div class="flex-item filter-item places">
      <div class="header">Places</div>
      <hr class="line" />
      <div class="flex-parent">
        <input
          checked
          type="radio"
          id="all"
          name="places"
          :value="filterPlacesAll"
          v-model="filterPlaces"
        />
        <label for="without">All Dives</label>
      </div>
      <div class="flex-parent">
        <input
          type="radio"
          id="with"
          name="places"
          :value="filterPlacesWith"
          v-model="filterPlaces"
        />
        <label for="with">Dives with places</label>
      </div>
      <div class="flex-parent">
        <input
          type="radio"
          id="without"
          name="places"
          :value="filterPlacesWithout"
          v-model="filterPlaces"
        />
        <label for="without">Dives without places</label>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      filterPlacesAll: process.env.VUE_APP_FILTER_PLACES_ALL,
      filterPlacesWith: process.env.VUE_APP_FILTER_PLACES_WITH,
      filterPlacesWithout: process.env.VUE_APP_FILTER_PLACES_WITHOUT,
    };
  },
  computed: {
    filterPlaces: {
      get() {
        return this.$store.state.filterPlaces;
      },
      set(value) {
        this.$store.commit("updateFilterPlaces", value);
      },
    },
  },
};
</script>

<style scoped>
.flex-parent {
  justify-self: left;
}
.filter-item {
  min-width: 250px;
}
.header {
  font-weight: bold;
}
.line {
  border-top: 1px;
}
</style>
